---
title: "Reevaluate entity"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › watchlists

`POST /v2/watchlists/{watchlistId}/reevaluate/{entityId}`

## Path parameters

- `watchlistId` (`watchlist-reevaluate-entity.path.watchlistId`; string, required)
  - format `uuid`
- `entityId` (`watchlist-reevaluate-entity.path.entityId`; string, required)
  - format `uuid`

## Request body

_Required._

- `idempotencyKey` (`watchlist-reevaluate-entity.idempotencyKey`; string, required)
  - minLength 8; maxLength 128

## Example request

```json
{
  "idempotencyKey": "stringst"
}
```

## Code samples

### cURL

```bash
curl --request POST \
  --url 'https://api.sureshake.com/v2/watchlists/<watchlistId>/reevaluate/<entityId>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "idempotencyKey": "stringst"
}
'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/watchlists/<watchlistId>/reevaluate/<entityId>';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({idempotencyKey: 'stringst'})
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/watchlists/<watchlistId>/reevaluate/<entityId>"

payload = { "idempotencyKey": "stringst" }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "generationId": "c95151f1-2c42-47db-881c-ef453e626e62",
    "status": "completed",
    "replayed": true,
    "watchlistId": "433f1b17-c44a-4efb-b825-edfde5867803",
    "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
    "evaluatedCount": 0,
    "triggeredCount": 0,
    "insufficientCount": 0
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`watchlist-reevaluate-entity.response.200.data`; object, required)
  - `generationId` (`watchlist-reevaluate-entity.response.200.data.generationId`; string, required)
    - format `uuid`
  - `status` (`watchlist-reevaluate-entity.response.200.data.status`; string, required)
    - one of `"completed"`
  - `replayed` (`watchlist-reevaluate-entity.response.200.data.replayed`; boolean, required)
  - `watchlistId` (`watchlist-reevaluate-entity.response.200.data.watchlistId`; string, required)
    - format `uuid`
  - `entityId` (`watchlist-reevaluate-entity.response.200.data.entityId`; string, required)
    - format `uuid`
  - `evaluatedCount` (`watchlist-reevaluate-entity.response.200.data.evaluatedCount`; integer, required)
    - min 0
  - `triggeredCount` (`watchlist-reevaluate-entity.response.200.data.triggeredCount`; integer, required)
    - min 0
  - `insufficientCount` (`watchlist-reevaluate-entity.response.200.data.insufficientCount`; integer, required)
    - min 0
- `meta` (`watchlist-reevaluate-entity.response.200.meta`; object, optional)
  - `timestamp` (`watchlist-reevaluate-entity.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`watchlist-reevaluate-entity.response.400.error`; object, required)
  - `code` (`watchlist-reevaluate-entity.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`watchlist-reevaluate-entity.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`watchlist-reevaluate-entity.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`watchlist-reevaluate-entity.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`watchlist-reevaluate-entity.response.401.error`; object, required)
  - `code` (`watchlist-reevaluate-entity.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`watchlist-reevaluate-entity.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`watchlist-reevaluate-entity.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`watchlist-reevaluate-entity.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`watchlist-reevaluate-entity.response.403.error`; object, required)
  - `code` (`watchlist-reevaluate-entity.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`watchlist-reevaluate-entity.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`watchlist-reevaluate-entity.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`watchlist-reevaluate-entity.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`watchlist-reevaluate-entity.response.404.error`; object, required)
  - `code` (`watchlist-reevaluate-entity.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`watchlist-reevaluate-entity.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`watchlist-reevaluate-entity.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`watchlist-reevaluate-entity.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`watchlist-reevaluate-entity.response.500.error`; object, required)
  - `code` (`watchlist-reevaluate-entity.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`watchlist-reevaluate-entity.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`watchlist-reevaluate-entity.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`watchlist-reevaluate-entity.response.500.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/watchlist-reevaluate-entity/index.md
